Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.locpath
Class LocPathAbs

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.locpath.LocPath
                  org.basex.query.xpath.locpath.LocPathAbs

    public final class LocPathAbs

extends LocPath

Absolute Location Path Expression. This location path is evaluated from the root context.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Tim Petrowsky

Field Summary

Fields inherited from class org.basex.query.xpath.locpath.LocPath
`steps`

Constructor Summary
`LocPathAbs()`

Method Summary
`Nod` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.locpath.LocPath
`addPosPred, checkAxes, color, comp, indexable, invertPath, plan, sameAs, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocPathAbs

    public LocPathAbs()

Method Detail

### eval

    public Nod eval(XPContext ctx)
             throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `LocPath`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `QueryException` - evaluation exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `LocPath`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD